%% SiSU version 2

v2 branch is legacy: v3 branch supersedes & replaces it
v2 branch supersedes & replaces v1 branch
v2 introduces new processing middle layer (document abstraction);
   markup same except for minor changes to document headers;
   epub output introduced
v2 branch removed from sisu 4.0; it is available in sisu =< 3.3.2

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

%% Legacy Branch, Reference

* new middle layer (document abstraction) that uses ruby objects to
  represent data (instead of strings)

* downstream libraries updated to use v2 middle layer

* sisu markup, changes to headers (metadata), input otherwise unchanged

* output much the same as for version 1 with some tweaks
  * search, sql table structure changed for version 2, incompatible
  * internal linking of documents is once again supported
  * LaTeX/pdf book indexes link within the pdf text rather than to HTML
    version of document

* EPUB output introduced using -e flag

%% Reverse Chronological:

%% 2.9.12 (2012-02-14:07/2) [see 3.1.14.orig.tar.xz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.14
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.14-1

* v2, vim syntax highlighting, patch from Thilo Six <T.Six@gmx.de> applied
  Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
  <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>

%% 2.9.11 (2012-01-10:02/2) [see 3.1.11.orig.tar.xz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.11
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.11-1

  * modify sisu markup version script

%% 2.9.10 (2011-10-15:41/6) [see 3.1.1.orig.tar.xz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.1
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.1-1

  * odf:odt v1.0
    * make odt header changes easier to track
    * get rid of (binary changeset) blob

%% 2.9.9 (2011-10-03:40/1) [see 3.1.0.orig.tar.xz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.0
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.0-1

  * bin/sisu, default sisu version 3

  * documentation, small update, see v3 changelog
    * sisu source

%% 2.9.8 (2011-09-24:38/6) [see 3.0.19.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.19
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.19-1

  * param, matching of date, years 1400 - 21\d\d

  * remote, image source url fix

%% 2.9.7 (2011-06-26:25/7) [see 3.0.13.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.13-1

  * dal_syntax, linebreak within regular objects is \\ (<br> depreciated)
    [test, affects downstream outputs, there is the potential for breakage]

  * vim
    * sisu syntax highlighting, linebreak \\ added (<br> kept)
    * colors, added cursor line & column

  * texpdf
    * define \hardspace to simplify placing a hardspace (within a code block)
    * provide backslash character in code block

  * sisurc.yml, config settings

%% 2.9.6 (2011-06-07:23/2) [see 3.0.12.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.12-1

  * help, s/Bul garian/Bulgarian/ (Closes: #619068)

%% 2.9.5 (2011-05-17:20/2) [see 3.0.10.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.10-1

  * copyright (minor) touch, dates for setup.rb

%% 2.9.4 (2011-05-15:19/7) [see 3.0.9.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.9-1

  * bin/sisu2 introduced (to complement bin/sisu3), currently same as bin/sisu
    (later switch bin/sisu to bin/sisu3; consider using update-alternatives)

  * vim, cterm colorschemes, touch search color

  * copyright file, softlink, make more visible in tarball and update
    * sisu-mode.el assigned to FSF (GNU EMACS)

%% 2.9.3 (2011-04-27:17/3) [see 3.0.8.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.8-1

  * bin/sisu3 bin/sisu /bin/sisu_webrick bin/sisu_termsheet
    * improved ruby version check

  * vim
    * sisu syntax change of a couple of color groups (Delimiter instead of
      Include)
    * 8 color cterm colorschemes
      * sparse series uses dark grey on black, usually looks better, but only
        works with a fixed color cursor, preferred in terms where you can get
        away with using it
      * frugal series avoids dark grey
      * slate for cterm now incorporates frugal-cterm-sisu
      * *-cterm-ruby & *-cterm-sisu colors adjusted where other color groupings are
        preferred for programming / sisu markup

  * sysenv, lowriter (instead of oowriter)

  * manpage, reinstate escape of hyphens (clearly preferred, else lintian
    reports hyphen-used-as-minus-sign)

  * NOTE: generated cgi sample search form caught by Ruby/DBI libdbi-ruby1.9.1
    reported as libdbd-pg-ruby1.9.1 bug #596103, where "select_all fails". The
    cgi sample search scripts for postgresql and sqlite3 are almost identical,
    both work in ruby 1.8.7, both have the same error in ruby 1.9.2... a very
    similar bug is reported about the mysql library. Should #596103 and the
    upstream report be reported against Ruby/DBI (libdbi-ruby1.9.1) rather than
    libdbd-pg-ruby1.9.1?
    * <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596103>
    * <http://rubyforge.org/tracker/index.php?func=detail&aid=28624&group_id=234&atid=967>
    * <http://rubyforge.org/forum/forum.php?set=custom&forum_id=958&style=nested&max_rows=25&submit=Change+View>
    fix/workaround options include:
    * await bugfix, (bug has existed at least since 2010-09)
    * rewrite for ruby-dbi using other constructs
      e.g. s.fetch {|row| ...}
    * revert to ruby 1.8.7 for the cgi script (they work independently of the
      rest of the program anyway)
    * rewrite for individual database dbi re: psql  and sqlite3
    * await rdbi (ruby-dbi replacement), also needs to be packaged for Debian
      <rdbi https://github.com/RDBI/rdbi>
      <http://rdbi.hollensbe.org/>
      <http://rdbi.hollensbe.org/files/README_rdoc.html>
      and develop for that
    or some meaningful combination of any of the above.

  * vim colors colorscheme sparse-* frugal-* Slate minor changes

%% 2.9.2 (2011-04-20:16/3) [see 3.0.7.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.7-1

  * options, maintenance -M (--maintenance, new alias --keep-processing-files)
    * new alias --keep-processing-files (see Bug#622902)
    * minor rearrangement of regex

  * cgi, sample-search-form
    * results still not right, (ruby1.9.2 libraries? double check script)
    * not yet done variable directory path fixing for result links

  * vim colors colorscheme Slate reviewed, cterm 8 colors, & frugal added
    * Slate, review conflicting group colors
    * 8, cterm colors to work with
    * frugal, cterm colors ... my term oddly has 8 colors plus 242 for
      dark grey possibly more but odd numbers to set

  * sisu-mode.el header notes copyright assignment to FSF 2011-04-08
    (GNU EMACS)
    * url to sisu git repo source (when possible also track GNU EMACS location)

%% 2.9.1 (2011-03-30:13/3) [see 3.0.6.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.6-1

  * (ruby 1.9.2 (transition related) fixes)
    * dal_doc_str
      * empty line not paragraph object
      * table structure issue, double spaced empty line creates spurious newline
    * dal_images, image path setting
    * param, nested regex match backport from v3
    * cgi sample-search-form, string output (also cleaned unused help text)

  * sysenv, remove repeated method

  * vim colorscheme Slate, review console colors
    * change warning and diff colors, so as not to conflict
    * review cterm colors
    * for console use color names instead of numbers
    * rearrange

%% 2.9.0 (2011-03-24:12/4) [see 3.0.5.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.5-1

  * move to ruby >=1.9.2p180: simplify development of v3 and maintenance of v2
    * bin/sisu demand ruby >=1.9.2p180 (version checks)
    * debian/control, dependencies
    [enforcing use of ruby >= 1.9.2 reason for version bump, note should at
     least be v1.9.2p180, when issues in earlier versions of ruby-1.9.2 were
     first observed to be gone]

  * texpdf bugfix, where map_nametags not found, drop nametag (rather than
    crash)
    [Debian-live, live-manual (Ben Armstrong, chals?, reported new bug in a
    number of translations (that crashed the pdf generator). It turns out where
    map_nametags is not found the document crashes.]

  * vim syntax highlighting, fix typo

%% 2.8.2 (2011-03-11:10/5) [see 3.0.3.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.3-1

  * dal_syntax and affected downstream output modules, revised pattern match
    for mail, (removes occasional interference with urls having embedded email
    addresses)

  * dal_syntax: (internal document) link matching, a fix

    [Debian-live, live-manual (Jose Luis Zabalza, Ben Armstrong, reported bug in
    Spanish translation markup (that crashed the pdf generator). Bug in markup
    subsequently identified as "versátil,#{iso-hybrid}#, se" which the interpreter
    identified as an internal document link to a comma (instead of as being
    monospace markup), markup should have been "versátil, #{iso-hybrid}#, se" this
    fix prevents that incorrect match, (but the markup remains faulty and the
    monospace markup is not identified as such without the corrected spacing).
    Unfortunate "grave" results for what is a pretty insignificant data entry
    typo (there are no doubt other such situations).]

  * dal_substitutions_and_insertions: regex for sisu header matching (in sisu
    markup code blocks), a fix

  * dal_doc_str: fix, looks like typo in regex

  * manpage output presentation (lowercase .br, correct newlines before .nf and
    after .fi; no escape of hyphens)

  * texpdf: url (regex) pattern match fix (/https?/)

  * help (markup): correct path to markup-samples

  * documentation more link fixes

  * syntax highlighting
    * emacs sisu headers updated (subheaders omitted for now) sisu-mode.el
    * vim cleaning sisu.vim

%% 2.8.1 (2011-03-05:09/6) [see 3.0.2.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.2-1

  * make sisu: v2 require >=ruby1.8.7; v3 require >=ruby1.9.2

  * manpage, adjust output, fewer backslashes

  * defaults, clean homepage

  * consolidate manual & markup samples
    sisu markup source, manpages, man2html
    * clean up headers
    * update and correct links
    * tidy
    * small fixes

%% 2.8.0 (2011-02-01:05/2) [see 3.0.0.orig.tar.gz]
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/3.0.0-1

  [post Debian Squeeze]

  * opening of version 3 branch, see v3 changelog

  * closing of version 1 branch

  * dal_syntax, (sisu syntax)
    * enforce use of curly braces in markup, remove single word markup without
      curly braces;
      (requested fix, Ben Armstrong (live-manual), problematic for technical
      writing)
    * removed some undocumented alternative markup attributes

  * object separator introduced
    (requested Cory Doctorow, implementation not discussed)
    * dal_syntax, object separator syntax (<:---> or <:ols>)
    * constants, object separator
    * vim syntax highlighting, match object separator

  * document objects: page break; object separator
    (introduced & used)
    * dal, page break and object separator objects
    * represent page break and object separator: plaintext, html, epub, odf,
      texpdf (adjust later)

%% 2.7.9.orig.tar.gz (2010-12-09:49/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.9.orig.tar.gz
  97240b74573904f5f2d120fbb56492179ec501fe8eee111dcace34068b8c960e 2752226 sisu_2.7.9.orig.tar.gz
  e4767c4e45f1b0a0d9dfcf1a077553143fd501926755b18e52a0e5d900366415 1196 sisu_2.7.9-1.dsc
  5a7e5631cfeb890f4478d191289bdccf0e7b2be79c18fa382f9a21902530dd30 290955 sisu_2.7.9-1.diff.gz

  [debian freeze, fix]

  * dal, fix missing multi-line regex matches for line-wrap text
    (live-manual, to work better with po4a)
    * dal_doc_str, bulleted text (and headings), multi-line match, to permit
      line-wrapped paragraphs
      (requested fix, Ben Armstrong (live-manual))
    * dal_syntax, multi-line match for fontface markup (emphasis, bold,
      italics, underscore etc.)

  * texpdf, use of monospace in headings causes table of contents breakage, fix
    (requested fix, Ben Armstrong (live-manual))

  * texpdf, toc now contains level 3~ to be consistent with other output
    formats
    (requested fix, Ben Armstrong (live-manual) "all TOC for different formats
    include headings for 1~ 2~ and 3~ *except* PDF which only has 1~ and 2~. i
    consider this a bug. how do i fix it?")
    (the fix is a workaround manually indenting level 3 further than
    level 2 as both levels make use of LaTeX "subsubsection")

  * html & css, ocn (object numbers) now link to themselves, clicking on one
    places that object at the top of the browser and provides its url
    (requested, Ben Armstrong (live-manual))

  * epub, ocn (object numbers) now link to themselves, clicking on one
    places that object at the top of the viewer

  * document manifest links
    * html, link to "document manifest" remains (links to individual output
      types removed)
    * plaintext, link to "document manifest" fix(links to individual output
      types removed)
    * odf, manifest link fix

  * html search form, configuration check

%% 2.7.8.orig.tar.gz (2010-10-25:43/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.8.orig.tar.gz
  af9dac02064ea03c61d6eecd0882a9f1be6f83d37fdddcf8e45832b9def52140 2750397 sisu_2.7.8.orig.tar.gz
  fcaada42eb8e449b620c2f529c642fdb44e0c0466b9d8ecd6e769cf07f986a3d 1196 sisu_2.7.8-1.dsc
  e0fac804d4309740916666120acef61c1a82b4b7cabca04e979d4fc8b57db8c2 289790 sisu_2.7.8-1.diff.gz

  [debian freeze, fix]

  * i18n, introduce header @make: :language: internationalization using codes
    from http://www.debian.org/international/l10n/po/ at this time for texpdf,
    (able to satify needs of polyglossia for the likes of Brazilian Portugues)
    and in future for po files, where iso:639 for this purpose appears to have
    use limitations http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
    * param, extract @make: :language: information if provided, default
      "english"
    * i18n, add code list and associated language (as listed by polyglossia)
    * texpdf_format, use param (@make: :language: (default english)), to set
      tex document language header (previously used file naming convention)
    * sisu.vim recognize @make: :language:
      (also elsewhere shortened :lang_code: from :language_code:)

  * internal links
    * dal, exclude parentheses and square brackets from matching
      (requested fix, Ben Armstrong (live-manual))
    * html, remove space between link & following punctuation, parentheses &/or
      square brackets
      (requested fix, Ben Armstrong (live-manual))
    * epub, remove space between link & following punctuation, parentheses &/or
      square brackets

  * html
    * remove "copy @" mark
      (requested, Daniel Baumann (live-manual))
    * segments, title banner (including "copy @" mark) configurable, boolean,
      true/false (default false)
      (requested off option, Daniel Baumann (live-manual))
    * quick ref links_guide configurable, boolean, true/false (default false)
      (requested off option, Daniel Baumann (live-manual))

  * config.yml
    * html, seg title banner, boolean true/false setting (commented out,
      default false)
    * html, quick_ref, boolean true/false setting (commented out, default
      false)

%% 2.7.7.orig.tar.gz (2010-10-17:41/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.7.orig.tar.gz
  0a9befa48e6cfd62ecd7ee25febe1c4e1dc3f54eed8d89042f8d3519d3fff345 2747742 sisu_2.7.7.orig.tar.gz
  e8f3c1f8a546fa5ff58a1e14e6e4b9288b4ef1c549f018539bcc88a7f58f3c7f 1196 sisu_2.7.7-1.dsc
  6ff81e70249e8f0a08897c99729b885969e5266135bd3a3f3ea506ab06d27936 288701 sisu_2.7.7-1.diff.gz

  [debian freeze, fix]

  * numbered codeblocks, fix, where codeblock opens with code{#
    (requested fix needed by debian-live:live-manual, Ben Armstrong, Mark
     Schneider & Daniel Baumann (live-manual))
    * dal changes as required, flag markup request and number
    * constants, provide vertical line symbol, use to separate numbered
      codeblock from code
    * texpdf substitute \vline for numbered codeblock line separator

  * texpdf, first space following a bullet should be fixed width, fix
    (used \enspace (0.5em))
    (requested fix and suggested latex solution, Ben Armstrong (live-manual))

  * texpdf, bullet text, hanging indent, fix works for regular text (not
    grouped text)
    (requested fix, Ben Armstrong (live-manual))

  * texpdf, codeblocks do not permit empty lines, fix

  * documentation related minor updates and fixes

%% 2.7.6.orig.tar.gz (2010-10-11:41/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.6.orig.tar.gz
  7cd4c46fa3bcadd9bad5f009836e3f76ba33581f346c20baa750df849e132a4c 2746314 sisu_2.7.6.orig.tar.gz
  f9805002b99b9c7784a2e20a8f7ded02516f6a268e361785d7a15b0bd92c1360 1196 sisu_2.7.6-1.dsc
  fbe107cce73dd5a4c302f014aff43a101e1f7e69333786b4667d39c0af044772 288465 sisu_2.7.6-1.diff.gz

  [debian freeze, fix]

  * texpdf, codeblocks, code-line continuation backslash dropped, fix
    (requested fix, Ben Armstrong (live-manual))

  * shared_metadata, odf, url characters to not match

  * sisu_convert, basic conversion script (seldom used/tested) start to get it
    working again

  * CHANGELOG v2 recount where some requests came from

%% 2.7.5.orig.tar.gz (2010-10-09:40/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.5.orig.tar.gz
  616a17e5c238735a732a931b2fa203ac03395fcf6de9fa4c7df086d504eb716a 2745498 sisu_2.7.5.orig.tar.gz
  79d6b9797641801e9ae755d0c8d0b9a446960d7325c77f633c484261f5fa7424 1196 sisu_2.7.5-1.dsc
  4b3b551546f1d49ab275abd3ea9922a596fed71eea2c6ea891c6c46a182f8015 288646 sisu_2.7.5-1.diff.gz

  [debian freeze, fix]

  * odf:odt
    * odf, fix odt cornercase document breakage when matching and representing
      "&nbsp" and "&" (prior to this fix, odt for viral_spiral is broken in
      sisu-markup-samples)
    * shared_metadata, fix cornercase odt document breakage when matching and
      representing "&nbsp", "&" and urls in metadata

  * param, metadata rights, keep colon separator from interfering with urls

%% 2.7.4.orig.tar.gz (2010-10-08:40/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.4.orig.tar.gz
  3d36b407f7f2df7b260f0a7932adf520a0539f8578dac59c6ca6de3bbfd03e62 2743433 sisu_2.7.4.orig.tar.gz
  bc2193743fc8635a5974aa0e55507bf99264df0669d23e635cda11bff767ce3a 1196 sisu_2.7.4-1.dsc
  cec3bbe1250444300c8c69899a0a5e849d7f5e39c9e0170f7984eaa4fea7b3b4 288468 sisu_2.7.4-1.diff.gz

  [debian freeze, fix]

  * image scaling, requested fixes
    (behaviour testing & request by Mark Schneider (live-manual))
    * texpdf, scaling of images (below the set maximum size), fix
    * odf:odt, incorporation and scaling of images, fix
    * html (html_tune) scaling of images, fix
    * epub (epub_tune) scaling of images, fix

%% 2.7.3.orig.tar.gz (2010-10-06:40/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.3.orig.tar.gz
  01da42186d8b7381356739ef612221b55e93c9a4f94c431744f8bdb123fd8f15 2744721 sisu_2.7.3.orig.tar.gz
  8c258e23ca20c57a39023a9a7cff228f3ba0581bc27bfa39d61706d6517aadc1 1196 sisu_2.7.3-1.dsc
  3a914afade9b9057ed47f65731809031896687dbc1c63e519ba460761a20fb15 288337 sisu_2.7.3-1.diff.gz

  [debian freeze, fix]

  * hub, fix sisu breakage when -y (manifest) is run without the explicit or
    implicit calling of -m (creation of document abstraction for processing),
    (e.g. when --source or --sisupod is called on its own).

  * dal_images, where image dimensions are set in an object, use those, (rather
    than those determined by imagemagick or graphicsmagick). [note: all must be
    set in an object, or none]
    (requested fix)

  * options, a few aliases added (long options)

  * urls, cleaning

  * sisu_markup.sst, document a fix (v1 & 2)

%% 2.7.2.orig.tar.gz (2010-10-01:39/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.2.orig.tar.gz
  05935d437ceb86ba90452b7e21c0b6d6d969dbfc095e5d3989f4870f9c154b87 2742571 sisu_2.7.2.orig.tar.gz
  b32c4dd3b8ab5259613f2c47d46c3e636c106eadd7dae456f4fc01ea6c4d6ac0 1196 sisu_2.7.2-1.dsc
  7dc5e669a5e21c525219d7b1258450630c5fbd47faa620740f0d8ab311995bf5 288299 sisu_2.7.2-1.diff.gz

  [debian freeze, fix]

  * hub, test whether user name set, fix
    (requested fix, provided by Ben Armstrong (live-manual))

  * epub, fix breakage where angle brackets used in used metadata header

  * texpdf_format, remove a few commented out lines

%% 2.7.1.orig.tar.gz (2010-10-01:39/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.1.orig.tar.gz
  48383fa9a8e26261b93a8bfc054d328b967557a9fb12b5afb559d40ac8bd1391 2742168 sisu_2.7.1.orig.tar.gz
  620b4664f3c52e70821f6c23e0c215aaef0a75ea55bf1ca0bdb261b8747768d8 1196 sisu_2.7.1-1.dsc
  11dc1a9aad442486592e9311e3d1b561b796593bdedb959435c8be0c81dbb8dc 288127 sisu_2.7.1-1.diff.gz

  [debian freeze, fix]

  * texinfo
    * texinfo_format, texinfo output broken, fix (Closes: #598063)
    * ocn decoration use a hash (instead of angle braces)
    * urls cleaned and with angle bracket decoration

  * texpdf
    * provide line-break-points for long directory names
      (requested fix, Ben Armstrong (live-manual))
    * a5, increase headheight (11pt from 8pt)

  * shared_metadata
    * odt, fix breakage where angle brackets used in metadata headers
      (requested fix, Daniel Baumann (live-manual))
    * a typo fix

  * param, a few fixes (checks, aliases, typo)

  * manifest, typo fix

  * share_src, hub cleaning

%% 2.7.0.orig.tar.gz (2010-09-21:38/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.7.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.7.0.orig.tar.gz
  9e9e9695184e09dcf3fadee20e34d92d031c66419e49394de83a56cddd81bcba 2741663 sisu_2.7.0.orig.tar.gz
  c04567f96e711c86ac1a2bc47151314a051859c86c68ad5b11083f7b10989a25 1196 sisu_2.7.0-1.dsc
  306a5d59b4cdaf85ed078a641aed750f0fe5a06967f008902a979e02b4b7e7be 287597 sisu_2.7.0-1.diff.gz

  Debian Squeeze equivalent (2.6.3-6 ported upstream)

    [2.6.3-2 (2010-07-29:29/4)]
    [debian dependency fixes (pre-freeze)]

  * debian/control, sisu-pdf, Depends on texlive-xetex added (Closes: #590766),
    replacing Recommends

  * debian/control, sisu-pdf, Depends on lmodern added (Closes: #590767)

    [2.6.3-3 (2010-08-22:33/7)]
    [debian in freeze for squeeze, the only changes are documentation related]

  * minor cleaning of headers (& a fix in book index) in document markup sample
    free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

  * update of some links
    free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
    list.yml promo.yml

  * debian document markup samples, add copyright and license information

    [2.6.3-4 (2010-08-31:35/2)]
    [debian freeze, code and documentation fixes]

  * html_format, xml_format, reduce visibility of sisu in output

  * yml metadata, add subheading for a title

  * html headers do not include the "title" field, fix (Closes: #594949)
    (param, variable not set (presumably since change from v1 to v2))

    [2.6.3-5 (2010-09-13:37/1)]
    [debian freeze, code fixes]

  * epub, fix xhtml line-break in rights metadata, results in unreadable epub
    (Closes: #596736) epub output not readable by all epub-reader software (else
    epub output can be viewed in calibre, but not in fbreader or okular)

  * options, add expressive options --[name] as alternative to flags -[x]

    [2.6.3-6 (2010-09-20:38/1)]
    [debian freeze, documentation, minor fixes]

  * html, v2 update (including --long-options) (manpage sync adds files)

  * manpage, v2 update (including --long-options)

  * sisu_commands.sst v2 update (including --long-options)

  * help, minor update, revisit (includes minor fixes)

  * identify markup, update ... revisit

  * urls, sysenv, set manpage viewer to "man"

  * options, bullet proof matches for --long-options  (effects minor fix)
    fixes issue noted with --sample-search-form (-F) (in the selection of
    webrick (--webserv-webrick))

%% 2.6.3.orig.tar.gz (2010-07-28:30/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.6.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.6.3.orig.tar.gz
  cd9b24e386a6b47920aca0e7dce60b46e5fd2adf199ac9f33bb83cf10e6bfd2c 2733908 sisu_2.6.3.orig.tar.gz
  11194bce22da16b3d758afc4a5209d3503aa0b51235f7a0d2f6469e43e84f2f4 1196 sisu_2.6.3-1.dsc
  b7949195ead65e06c5e54b99256d9239333ba4dd6eabe72496e61848f6dfd631 281219 sisu_2.6.3-1.diff.gz

  * odf, footnotes, asterisk series (**) fix

  * html_format, epub_format: subtoc, footnote content bug (fix)

  * odf: lt (<), gt (>) fix for codeblocks; &amp fix, messy
    (requested fix, Daniel Baumann (live-manual))

  * epub_format, removed some title & author info, check

  * epub_tune, <br /> (from <br>)

  * epub_format, within head, title & author

  * epub, toc copyat link removed

  * manifest, defaults, minimal sisu footer

  * hub, add metaverse run for git (composite files)

  * git, param, refine filename regex for composite files

  * git sisu directory structure, lang dir beneath txt

  * html, links to output formats, remove icons

  * minitoc sisurc configurable (true/false)

  * debian/control, Standards-Version 3.9.1

  * debian/control, Maintainers, Uploaders and Homepage fields updated

  258ab5ea9214d22d52bcabd96a28ca0519932cbd9f24679a67409604138eb044 1196 sisu_2.6.3-2.dsc
  4540147fa22b4b5150c2d3c0ad1e929ec61125cb64ba764849a13eb6e47e0f84 281913 sisu_2.6.3-2.diff.gz

  * debian/control, sisu-pdf, Depends on texlive-xetex added (Closes: #590766),
    replacing Recommends

  * debian/control, sisu-pdf, Depends on lmodern added (Closes: #590767)

  (2010-08-22:33/7)
  3462c656cdd98f32543f6bd25a1ad4558d3479d7b775a75cc6b9959a64710418 1196 sisu_2.6.3-3.dsc
  25566c3d4b94a8407e3e14341721e3bdd76d9918ef39cace32cccca398c524ed 290815 sisu_2.6.3-3.diff.gz

  [debian in freeze for squeeze, the only changes are documentation related]

  * minor cleaning of headers (& a fix in book index) in document markup sample
    free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst

  * update of some links
    free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
    list.yml promo.yml

  * debian document markup samples, add copyright and license information

  (2010-08-31:35/2)
  5a0d9af3b74761a72e9e2f9da3b8392ad7a1108e32063b041c6ab57a9b9f42e7 1196 sisu_2.6.3-4.dsc
  e04d68474513468f4968956f9720d42e8338d6c8403b44b7e874eebe482d6c92 292039 sisu_2.6.3-4.diff.gz
  [debian freeze, code and documentation fixes]

  * html_format, xml_format, reduce visibility of sisu in output

  * yml metadata, add subheading for a title

  * html headers do not include the "title" field, fix (Closes: #594949)
    (param, variable not set (presumably since change from v1 to v2))

  (2010-09-13:37/1)
  5234619806dca68c367ea517fa6090a23a88b09905030147d6dc58cb0d5bff51 1196 sisu_2.6.3-5.dsc
  31ffe39ee0fa6f652cb0ec3dad63bae43ad21c10db5c290781e51ceebf56f8b0 293234 sisu_2.6.3-5.diff.gz
  [debian freeze, code fixes]

  * epub, fix xhtml line-break in rights metadata, results in unreadable epub
    (Closes: #596736) epub output not readable by all epub-reader software (else
    epub output can be viewed in calibre, but not in fbreader or okular)

  * options, add expressive options --[name] as alternative to flags -[x]

(2010-09-20:38/1)
  a431d5a3b5285023fe09e4d7f885cabdb4eb540d9d6403f744bd65b0b91c09b5 1196 sisu_2.6.3-6.dsc
  3d9daf8718c9ffbd42a9492dc23d8c333e121687b84f9ac16333f6a813f60279 321360 sisu_2.6.3-6.diff.gz
  [debian freeze, documentation, minor fixes]

  * html, v2 update (including --long-options) (manpage sync adds files)

  * manpage, v2 update (including --long-options)

  * sisu_commands.sst v2 update (including --long-options)

  * help, minor update, revisit (includes minor fixes)

  * identify markup, update ... revisit

  * urls, sysenv, set manpage viewer to "man"

  * options, bullet proof matches for --long-options  (effects minor fix)
    fixes issue noted with --sample-search-form (-F) (in the selection of
    webrick (--webserv-webrick))

%% 2.6.2.orig.tar.gz (2010-07-15:28/4)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.6.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.6.2.orig.tar.gz
  63ffa027e66ed18d5d56d8e82e79a437bcec362e7c16d6d4ae26fa0d029f80ae 2730609 sisu_2.6.2.orig.tar.gz
  e880807a7bddec2c574da599f1ea08b3564ed5fb8d3cd63a4e57dee0a22a7497 1151 sisu_2.6.2-1.dsc
  6ce570ca728e846d2ff9358ab885b9234867eedcc7d3057a0b7ee9d024698913 280841 sisu_2.6.2-1.diff.gz

  * param, header reading more robust (re: commented out parts)

  * vim syntax, in bulleted and indented text recognize bold

  * param, rights (all) add line breaks between copyright, license and other
    rights

  * texpdf, if no "copy @" info remove; rename left footer; asterisk issue

  * sisu-harvest, alias for sisu --harvest (with man page)

  * texpdf, codeblocks, left margin flush

  * html_segments, line space between end of text and section bottom navigation
    bar

  00cd22abaf3c6d55058680b3d757b75dbe8fca890598822cb347a86246f4d9d3 1151 sisu_2.6.2-2.dsc
  609047bc45e99154f96ccb6fb2c4cd0a7b7d8ca0f8ad0b14e2779c7b0e095aed 281186 sisu_2.6.2-2.diff.gz

  * debian/control update ruby1.9 related depends to ruby1.9.1 (libfcgi-ruby1.9.1)

%% 2.6.1.orig.tar.gz (2010-07-09:27/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.6.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.6.1.orig.tar.gz
  95fe09b870e23f922bf7d02b8aa83827ef9592f06f844ba4df5c808e283c8590 2728806 sisu_2.6.1.orig.tar.gz
  bffd97dda3a8b4eb71201c47590ef363570f018a2517be359e28bcd9c82ff97c 1151 sisu_2.6.1-1.dsc
  58c35da9a25d97a01e180404dbffe72de953139cab059db6a6aba69855a716bd 280583 sisu_2.6.1-1.diff.gz

  * markup samples moved to data/doc/sisu/v2/markup-samples

  * dal, manifest & metadata headings, non-substantive, ocn removed

  * dal_syntax, monospace (avoid url match false positive)

  * texpdf, monospace fix

  * html_scroll, index & endnotes

  * sysenv, default output path, fix

%% 2.6.0.orig.tar.gz (2010-07-07:27/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.6.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.6.0.orig.tar.gz
  2a02d475c12398e5cc66e961c96e65f79951c4c2863a5e88f986692563fda983 2770986 sisu_2.6.0.orig.tar.gz
  c7a85d6960012a29f37fda02f3cf6a26276344a62f1b404660b9c8729c683187 1151 sisu_2.6.0-1.dsc
  832096f466f502879d63ecdb924a31e3aeb0ae38080993ae9f431a9b936602f4 280288 sisu_2.6.0-1.diff.gz

  * sysenv, version.yml moved to /usr/share/sisu/v2/v (from /etc/sisu)

  * provide alternative sisu command names for producing single output types
    sisu-pdf, sisu-html, sisu-odf, sisu-epub, sisu-txt, sisu-pg, sisu-sqlite

  * monospace
    (requested feature Daniel Baumann (live-manual))
    * dal_syntax, constants, introduce #{ monospace }# tag
    * monospace font for codeblocks and #{ monospace }# tag
    * vim syntax, recognize #{ monospace }# tag

  * hub, make -t produce plaintext output

  * sysenv, make output directory if needed (if possible)

  * texpdf_format, output special characters, special circumstance fix

  * outputs, some cleaning of default outputs ... ongoing

  * manpages, some additional manpages and some updates

%% 2.5.1.orig.tar.gz (2010-06-12:23/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.5.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.5.1.orig.tar.gz
  c87a04a3071de4e8388b214fb6bb1a602657c5859a817bd0f001c92a4ce1f98d 2768984 sisu_2.5.1.orig.tar.gz
  5698680779692893ba39666c6deebae8d796cf4b7b0a643853c49e6691f23f12 1145 sisu_2.5.1-1.dsc
  cd2404ec36817402ad669e5a8592b6d6b4395db2f74b243b3bfa976bd8187ba4 276383 sisu_2.5.1-1.diff.gz

  * texpdf, ensure programs default font is set (Liberation Sans) if none
    configured, (was intended, required fix)

%% 2.5.0.orig.tar.gz (2010-06-11:23/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.5.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.5.0.orig.tar.gz
  8a5331b6128e9bdd99704aa9b9e37666d399b2801655db00a665abf1ec0d7a37 2767480 sisu_2.5.0.orig.tar.gz
  6c4c9a1737e6bd22b4d0a2a30419280f5bde67bc272bf9f2f2b8e59dc15d6c65 1145 sisu_2.5.0-1.dsc
  1c0f4253e1b16a6afb7cdaafe61bd8b67b18f28f25277ef4f1224c9836843ddc 276348 sisu_2.5.0-1.diff.gz

  * texpdf, font selection permitted in sisurc.yml (default: texpdf_font:) or
    document header (@make: :texpdf_font:)

  NOTE: this is a small addition, but texpdf requires that Liberation fonts be
  installed as 'Liberation Sans' is now the default, and thus can cause
  breakage unless this is installed, hence the version bump. This is taken care
  of in the debian package by depending on ttf-liberation

  * vim syntax (sisu.vim) updated to match @make: :texpdf_font:

  * param, fix breakage on malformed sisu identifier (top header line)

  * tables: blank lines (use tilde to indicate); allow line breaks

  * css for html, make right pane when used darker to distinguish from selected
    content

%% 2.4.3.orig.tar.gz (2010-06-05:22/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.4.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.4.3.orig.tar.gz
  bf0e596113b60b873efc738ec2a9ab9a7b2d0687cd7011d27700331faab4e2c5 2767084 sisu_2.4.3.orig.tar.gz
  01784bc068f91858534f157a024d4ca723e4afb0161c50cf3a42ab0cbaeef889 1145 sisu_2.4.3-1.dsc
  00f039ec6fd246b2320565003ecd4ab255c28d4a9f43deb62170e10e6a3630e6 276235 sisu_2.4.3-1.diff.gz

  * vim/ftplugin/sisu.vim make less intrusive (both for sisu v2 & v1), includes
    the following:
    * <leader>ls  dir files placed in vertically split window (also <leader>dir)
    * <leader>rd  search and replace down (in file)
    * <leader>rg  search and replace globally (in file)
    * <leader>rr  search and replace using ruby gsub (global search and replace)
    Note: <leader>rf not used, ambiguous (replace forward or replace in file?)
    * remove language and spelling american english, can't have a fixed default
    * remove <CTRL>G (search and replace) binding
    * remove <CTRL>F for fold file removed, use still available :F instead
    as before includes:
    * statusline
    * change to the directory the file in your current buffer is in
    * wrap at textwrap width
    * cursor jumps a line at a time within wrapped text
    * ^J paragraph formatting break line on 'textwidth'
    * :F folds on fold patterns for sisu markup (and foldsearch which opens
      result of search all else closed)

%% 2.4.2.orig.tar.gz (2010-06-01:22/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.4.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.4.2.orig.tar.gz
  d5267635ecc99c41b0868ea2eee78b46a9142b76b45608ebe89eff13e3cf291a 2766741 sisu_2.4.2.orig.tar.gz
  b9d161be07f01a42aa87ae4ca5a36309e99c52e6d76d092b0e15345674e23dad 1145 sisu_2.4.2-1.dsc
  cec64e14e07296478f3077e2b6d3ccc52aac038bbb8d87cc1fd7cabc0453a961 276179 sisu_2.4.2-1.diff.gz

  * texpdf, polyglossia (xelatex) (start using, instead of babel)

  * documentation, text, much todo

  * remote file processing (url instead of local file), minor fix
    (related to reporting "http" file not found)

%% 2.4.1.orig.tar.gz (2010-05-26:21/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.4.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.4.1.orig.tar.gz
  ee7ac449291c9aff05731fdefc1b31584f4ff6c0d3ec4b7b2250ef05c1d3b343 2765591 sisu_2.4.1.orig.tar.gz
  67e89b24d527361711543d503c0fc05c82dc7df845e31b28eba53b15522e520e 1145 sisu_2.4.1-1.dsc
  9e85b5705def27da39759e580f9a773e72b038f92d4788c9504c021046dabb63 276165 sisu_2.4.1-1.diff.gz

  * regex match, a number of http: matches needed to be extended to include
    https:
    * epub & odf, regex matching of http: should also match https:
    * texpdf, https: url match with tilde, fix
    * general extension of regex matches for http: to include https:
    * dal_syntax fix, no auto-bold or italics on relative or internal links

%% 2.4.0.orig.tar.gz (2010-05-26:21/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.4.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.4.0.orig.tar.gz
  5a7ca024e36d9d08653e2cfe335e83345305c16e531de361d84ba3315739303b 2764579 sisu_2.4.0.orig.tar.gz
  33097b5afccfff9cfea9b08acea55741482ae6f6eca5aa9d2fd8d90661708e83 1145 sisu_2.4.0-1.dsc
  e794c110c0ece2c08d6f0243142e7c941eb696ae5b1f649b9f01d44ad4b3533a 276166 sisu_2.4.0-1.diff.gz

  * sisu markup syntax added to, related to internal document links and
    relative links, see note on additions to vim syntax highlighting (version
    bump)

  * dal, added internal document link to tagged point, affecting downstream
    processing

  * output formats internal document (and relative) linking as possible

  * vim syntax highlighting, added tag for internal document link to tagged
    point  { Linked text }#tagname also relative link
   { linked }:document_name/file.html#23
   which is the preferred equivalent of
   { linked }../document_name/file.html#23

  * sisu markup, documentation on_sisu_markup/sisu_markup.txt added much todo

%% 2.3.5.orig.tar.gz (2010-05-18:20/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.5.orig.tar.gz
  fb599fc29a6c1f67ae3ed6fe79ed2768045899870717d719d5b91be2a3db56fb 2755625 sisu_2.3.5.orig.tar.gz
  04e5430529ffdf77e6fbdd956b0eddaae1c00bd0640bad26c3a25c63bc2aac20 1145 sisu_2.3.5-1.dsc
  36cd9012a33837aa1032bf9a9c78444b31f2a397634625e9e15323a17a17a8dd 276135 sisu_2.3.5-1.diff.gz

  * dal_syntax, url match fix

  * dal_doc_str, name tags fix

  * html, epub, latex/pdf add name tag points

  * vim templates for .sst .ssm & .ssi

%% 2.3.4.orig.tar.gz (2010-05-12:19/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.4.orig.tar.gz
  3072d857dd7cda793315d2dd57233bb015cac0fa85fcbaec7c05650e09f27b88 2755570 sisu_2.3.4.orig.tar.gz
  c646cd4a08ad7e58c38b5bdcf0259574dd30db5db51a269be2a5bdf92b6a1293 1145 sisu_2.3.4-1.dsc
  463e1b2122b8f5aaaf2c9aefec265bfd48856a6839e557d3ac4afa8cea943eb1 276124 sisu_2.3.4-1.diff.gz

  * dal_syntax, italics match fix

  * urls, screen output control

  * sysenv, switch default hash digest fingerprints to sha256 (rather than md5)

%% 2.3.3.orig.tar.gz (2010-05-05:18/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.3.orig.tar.gz
  89d16ba433085f4cc7a3438dc4c0f2797888394623c7e64f6322633646374191 2753813 sisu_2.3.3.orig.tar.gz
  c64f5d52720c666872bacadf1867b4aa01c04380a257df5dbf95a3f23ca0293b 1145 sisu_2.3.3-1.dsc
  c43c198f517f4973c936d8fea153bacceb5037bee1fa690b26d5a97b45d20583 276098 sisu_2.3.3-1.diff.gz

  * texpdf, special word and number optional break points, (also, reduce text
    display size of digests, reduce image size, add some url braces)

  * sysenv, sisurc.yml, default shortform command flags, removal of verbose
    flag from default, add -v when needed, e.g. sisu -3v filename.sst

  * screen output (ansi), control

%% 2.3.2.orig.tar.gz (2010-05-03:18/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.2.orig.tar.gz
  6f9b95e70dfbd80c793ef6dd7a64cc16f1073b6261a466f388b98ea364daab29 2752926 sisu_2.3.2.orig.tar.gz
  5719841cbacf87088a9e34c868b6e2e9b0e9ac17221b4a02bddbe2a055b019c2 1145 sisu_2.3.2-1.dsc
  cf8af2c7587af61ca07481819ae20376e60efc979cbe8e2b0245f4862e986748 276091 sisu_2.3.2-1.diff.gz

  * dal, markup, In cases where the line is interpreted as level 1~ (either by
    explicit 1~ tag or @make: :heading:) a hash (#) [octothorpe] will be
    auto-incremented, markup e.g. "1~ Chapter #: My Way".

  * markup for *{emphasis}* configurable as being displayed as bold, italics or
    underscore, the default is that emphasis output is in bold so there is no
    change unless configured, either in sisurc.yml (default: emphasis: 'bold'),
    or the markup source document header @make: :emphasis: 'bold'
    (requested modification, Cory Doctorow (prefers asterisk to be italics))

  * plaintext, wrap width configurable between 20 to 200 characters, the
    default width being 78, configuration either in sisurc.yml (default: text_wrap:
    78), or the markup source document header (@make: :plaintext_wrap: 78)

  * param_identify_markup, identify version 2 markup

  * manifest, info, expand on description of book indexes when available

  * screen output, reduce verbosity unless -v or other such option used

  * dal_numbering, number headings, a fix

%% 2.3.1.orig.tar.gz (2010-04-28:17/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.1.orig.tar.gz
  03a9912a475a634e4e18024a508c64c67b60337cf0edeab01b96f3d54bc96e4a 2751600 sisu_2.3.1.orig.tar.gz
  475643cc77b3bef83cbeebdb8282240396805c328d2c6b48411555861d9d09e8 1145 sisu_2.3.1-1.dsc
  d7f3fbcabb89a0c97347c5174677d5bba7afdedf06f8a56f5ffd47dbe594c27a 276069 sisu_2.3.1-1.diff.gz

  * param, for topic_register, an additional check required, bug fix, repost

%% 2.3.0.orig.tar.gz (2010-04-27:17/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.3.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.3.0.orig.tar.gz
  6acef3da979f59d0e3912c0bd8a13f07b4f047ed2a0f1c196fc3504005b31447 2750663 sisu_2.3.0.orig.tar.gz
  6423bf0b1d231bb766886fa23561fce565375c60902705ca0611ea6897b7de59 1145 sisu_2.3.0-1.dsc
  80d59fa6c4b9d81db59db80fcca9ef40586718983e6a5d6f154d5593e4a4977f 276051 sisu_2.3.0-1.diff.gz

  * db (sql)  add oclc (Online Computer Library Center) number, affects table
    structure, (hence breakage & version bump)
    * new db name prefix "sisu_v2c_"; new pgsql db name prefix "SiSUv2c_"

  * metadata, classify add oclc (Online Computer Library Center) number

  * small fixes

    * constants for pgsql VARCHAR reduce max size to 2500 (from 3000), to be
      within default limit set for postgresql (debian)

    * default sisu home, correct link to document examples and description

    * sisu_download.ssi link to breakage info not of current interest

    * defaults, on default home, for search form always point to latest db

    * html metadata, show topic_register again

    * plaintext, bulleted grouped text, clean up output (still not line-wrapped
      though)

  * git, start to experiment with file structure to replace sisupod -g and will
    be in configure options, to track changes to document, enable creation of
    "pods" (zipped content) and allow for remote versioned (or unversioned)
    placement of content source; ideally would end up with two co-existing,
    distinct parsable structures whether local or remote, the existing directory
    structure with multiple documents and document images etc. and git
    directories with all content associated with a single document (including
    other language versions of it); cannot guarantee at this stage that the file
    structure will be retained, which may mean recreating any directory started
    and defeat the purpose of using it, though it is in a version control repo,
    so perhaps not ... best left alone for now ... nothing here yet really, move
    along

  * switch markup for emphasis and bold, now: *{emphasis}* and !{bold}! which
    is consistent with !_ declaring a line to be bold, the default is that
    emphasis output is in bold so there is no change at present, at some time in
    the future it is intended that it be possible to configure emphasis output
    alternatively to be in italics [requested]

%% 2.2.0.orig.tar.gz (2010-04-20:16/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.2.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.2.0.orig.tar.gz
  aa487605bc6bf89419c96773ed3738685307353ef4df1ead50d829785910747f 2746848 sisu_2.2.0.orig.tar.gz
  2709ec54dd49cc7796eff532b7d122d5383b2ca907ec39df4c87213de12bfb85 1145 sisu_2.2.0-1.dsc
  e0a30c8474b6d784be736b51da3953358968344f34638219f517c0c6f60505ef 275912 sisu_2.2.0-1.diff.gz

  * db (sql) table structure, further review and changes (hence breakage & version bump)
    * new db name prefix "sisu_v2b_"; new pgsql db name prefix "SiSUv2b_"
    * increase use of VARCHAR
    * new indexes

  * multiple fixes

    * db_sqltxt, sql issue at times with missing author field, fix

    * db_select, check for whether db exists, note this does not check whether
      tables have been created though

    * db_import sqlite, prevent multiple import of file with same
      filename(.sst) (cgi form should work correctly, without multiple entries)

    * db_indexes, db_drop fixes

    * cgi_sql_common, better presentation for next page where more matches than
      limit per page

    * shared_metadata, fixed wrong reference to md.gutenberg instead of md.pg,
      prevents building of latex/pdf in affected cases

    * param, extensive db column size checks for metadata

    * param, where rights.copyright missing, nag profusely but do not break,
      fix

    * shared_html_lite, markup heading objects

    [2.1.1 fix release was not built, changes appear under 2.2.0]

%% 2.1.0.orig.tar.gz (2010-04-16:15/5)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.1.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.1.0.orig.tar.gz
  ceb7fb71ed815f7f64faac98174639f0008d4d7659053f6832cd3023f656a14b 2745619 sisu_2.1.0.orig.tar.gz
  a1a452dc0ff287a746a408862156afa054c51ae9efc232f8fa59a67d9af6b4b6 1145 sisu_2.1.0-1.dsc
  a94c9bf7cf6eb340a27055967abbc8a6726a2eb974daf221fee0940b6f85bc66 275748 sisu_2.1.0-1.diff.gz

  * db table structure, further review, minor, but disruptive

  * db (sql) database table name and column structure changes, new pgsql db
    name prefix "sisu_v2a_" (hence breakage & version bump), continue to review
    (db_columns, db_create, db_import, db_sqltxt)

  * db remove and update fix, match filename for removal with = (not LIKE or ~)

  * db sqlite, issue with --recreate, bugfix
    (db_drop)

  * db, shared_html_lite, link back to footnote/endnote reference

  * db, sysenv, sisurc.yml determine whether to share sisu markup source in db

  * param, check set db column sizes against metadata, drop entries that are
    too long with warning

  * param, classify "populated" a fix

  * cgi sample search form (cgi_sql_common)
    * update to work with database structure changes
    * add radio buttons to set increased match limit

  * vim syntax highlighting, minor

%% 2.0.5.orig.tar.gz (2010-03-31:13/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.5.orig.tar.gz
  8fad44b225512ab436562fc759244752b722c6d8aa4f3df3de3b1b97001fad43 2738182 sisu_2.0.5.orig.tar.gz
  e9fbc9b60f38067f1f3e7f1c89b20df39127ce322968df8390ed041289ecde7b 1145 sisu_2.0.5-1.dsc
  b6b0be939a30c5df4e1f307a4e329ad0e7287216407db49e89974ec230ebf22b 275501 sisu_2.0.5-1.diff.gz

  * bug fixes
    * harvest, fixes bug in harvest_topics (v2)
    * manifest, search form for db fixed
    * sql, postgresql search form, next page, previous page
    * db_create, comments causing issues for sqlite

  * sql, search form, clearer information when results exceed match limit set

  * harvest, add search form for directory, if configured in sisurc.yml

%% 2.0.4.orig.tar.gz (2010-03-23:12/2)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.4.orig.tar.gz
  7fb8b578813fbd6cd4bf441e8eefeb9b52860064d1c66b83889bfc65468c90fd 2737242 sisu_2.0.4.orig.tar.gz
  262c08353f44e75f1f0da02ab4f7d5a843da687ddfd416ed4c2b7ad08f1226a7 1145 sisu_2.0.4-1.dsc
  62b077a6334f049f574ef3c77bbabf094345540afb0f0ce52692181d3017b279 275441 sisu_2.0.4-1.diff.gz

  * bug fixes
    * correct method call for md.title.full a number of places [in db_import,
      results in failure of  doc import when called]

  * free_as_in_freedom, additional links to available material

%% 2.0.3.orig.tar.gz (2010-03-22:12/1)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.3.orig.tar.gz
  5097dc789a6c0717a7e965c1b76cc84f8ccc2cab4bc89873e2fbf85758ce4356 2736571 sisu_2.0.3.orig.tar.gz
  4e09d9f39e4365493c8633d4c577201694fa6d1d36fdc3fba998bb65f8e01bb5 1145 sisu_2.0.3-1.dsc
  c30e3dc32f824360e411a37a969f1d997cc20671ca119c302192735a8f650037 275394 sisu_2.0.3-1.diff.gz

  * bug fixes
    * odf, xml, texpdf, bulleted group, clean
    * odf, metadata line break - prevent from breaking document [potential odf
      breakage]
    * xml_dom, behaviours fixes

%% 2.0.2.orig.tar.gz (2010-03-21:11/7)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.2.orig.tar.gz
  c80b503f0226cf578e0196321f26a1dce05ba7fd6aa33690c5ca756c08d30ba3 2736496 sisu_2.0.2.orig.tar.gz
  721ff54e991ede11da9c584530e4ec4b37f2e6f60e50d04a6c87a974c3e10a62 1145 sisu_2.0.2-1.dsc
  50c945b87ceda35105737150c000a97563dcd5e51d6c7543d6d44b0941d50d42 275350 sisu_2.0.2-1.diff.gz

  * bug fixes
    param, recommended links (reinstated)
    db_import, special character escape special endnote content [doc import
    fails on occurrence]

  * vim syntax highlighter, sisu v2 & v1 version and date headers
    updated/corrected

%% 2.0.1.orig.tar.gz (2010-03-17:11/3)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.1.orig.tar.gz
  364b65b99376303c8bb90e0b8e6709d5b11277280c8fc57d69a71b459f279d06 2736627 sisu_2.0.1.orig.tar.gz
  7b6eb6a962b3120f0e0820fecae7ef0ceadd4ef510719727b63e70f7ae2a323c 1145 sisu_2.0.1-1.dsc
  b89c5cb02f3c027590e24976f1d5f8254c1f64b9f7e021ccc6042a1ba3cbe8f2 275341 sisu_2.0.1-1.diff.gz

  * bug fixes
    * html, tables fix
    * sysenv, html_promo, db name prefix from constants (now SiSUv2_)
    * texpdf_format, where image missing, escape image markup loop
    * epub, html: make robust where missing param values

  * vim syntax minor update in v2

  * docs, add epub, more to be done

%% 2.0.0.orig.tar.gz (2010-03-06:09/6)
http://git.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/debian/2.0.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_2.0.0.orig.tar.gz
  4fc214d40542e0d2ba7447e9ff06de3612d857d9015e8233877f9b4f93a9875f 2733550 sisu_2.0.0.orig.tar.gz
  6a157cbfc838f8141b352ab1513ac67bb43802db22f62902275df48ba41c5a0f 1145 sisu_2.0.0-1.dsc
  799b5b0b47df7356d774ac6c26529dcc57d7195a86401981cb2e89028cd795ea 275302 sisu_2.0.0-1.diff.gz

  * sisu v2

    * default command 'sisu' runs version 2; to run version 1 use version flag
      'sisu --v1 [filename]'

    * new middle layer (document abstraction) that uses ruby objects to
      represent data (instead of strings)

    * downstream libraries updated to use v2 middle layer

    * sisu markup, changes to headers (metadata), input otherwise unchanged

    * output much the same as for version 1 with some tweaks
      * search, sql table structure changed for version 2, incompatible
      * internal linking of documents is once again supported
      * LaTeX/pdf book indexes link within the pdf text rather than to HTML
        version of document

    * EPUB output introduced using -e flag

  * sisu v1

    * this tarball also includes v1 see CHANGELOG_v1, if installed directly
      from tarball version 1 should be available as sisu1

    * version 1 should be available as sisu --v1 [filename]
